/**
 * RoleClassContent.java
 *
 * File generated from the medication::RoleClassContent uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassContent.
 *
 */

@XmlType(name = "RoleClassContent")
@XmlEnum
@XmlRootElement(name = "RoleClassContent")
public enum RoleClassContent {
	@XmlEnumValue("CONT")
	CONT("CONT");
	
	private final String value;

    RoleClassContent(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassContent fromValue(String v) {
        for (RoleClassContent c: RoleClassContent.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}